Package weka.core.pmml.jaxbbindings

# Class ClusteringModelQuality

java.lang.Object
weka.core.pmml.jaxbbindings.ClusteringModelQuality

public class ClusteringModelQuality extends Object

Java class for ClusteringModelQuality element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="ClusteringModelQuality">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="SSB" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="SSE" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="dataName" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusteringModelQuality()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDataName()`
  Gets the value of the dataName property.
  `Double`
  `getSSB()`
  Gets the value of the ssb property.
  `Double`
  `getSSE()`
  Gets the value of the sse property.
  `void`
  `setDataName(String value)`
  Sets the value of the dataName property.
  `void`
  `setSSB(Double value)`
  Sets the value of the ssb property.
  `void`
  `setSSE(Double value)`
  Sets the value of the sse property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClusteringModelQuality

    public ClusteringModelQuality()

- ## Method Details

  - ### getSSB

    public Double getSSB()
    Gets the value of the ssb property.
    Returns:
      possible object is `Double`

  - ### setSSB

    public void setSSB(Double value)
    Sets the value of the ssb property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getSSE

    public Double getSSE()
    Gets the value of the sse property.
    Returns:
      possible object is `Double`

  - ### setSSE

    public void setSSE(Double value)
    Sets the value of the sse property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getDataName

    public String getDataName()
    Gets the value of the dataName property.
    Returns:
      possible object is `String`

  - ### setDataName

    public void setDataName(String value)
    Sets the value of the dataName property.
    Parameters:
      `value` - allowed object is `String`